mscorlib 2.0.0.0 4.0.0.0 System.Collections.Generic.IEnumerable<T> To be added.

The interface is the base interface for classes in the namespace.

The interface extends ; and are more specialized interfaces that extend . A implementation is a collection of key/value pairs, like the class. A implementation is a collection of values, and its members can be accessed by index, like the class.

If neither the interface nor the interface meet the requirements of the required collection, derive the new collection class from the interface instead for more flexibility.

Defines methods to manipulate generic collections.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` The item to add to the current collection.

  Adds an item to the current collection.

  To be added. The current collection is read-only.
- Method
  2.0.0.0
  4.0.0.0
  System.Void The current collection is read-only.

  must be set to 0, and references to other objects from elements of the collection must be released.

  Removes all items from the .

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` The object to locate in the current collection.

  Determines whether the current collection contains a specific value.

  , if item is found in the current collection; otherwise, .

  Implementations of this interface can vary in how they determine equality of objects; for example, some types use the default comparer, while others allow the user to specify the comparer to be used.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` A one-dimensional, zero-based that is the destination of the elements copied from the current instance. To be added.

  Copies the elements of the current collection to a , starting at the specified index.

  This operation overwrites the current contents of the array.

  is . < 0.

  has more than one dimension.

  -or-

  is greater than or equal to .Length.

  -or-

  The sum of and the of the current instance is greater than .Length.

  -or-

  Type is not assignable to the element type of the destination array.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32

  A that indicates the number of elements contained in the current instance.

  This property is read-only.

  Gets the number of elements contained in the .

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean

  , if the current collection is read-only; otherwise, .

  A collection that is read-only does not allow the addition, removal, or modification of elements after the collection is created.

  Gets a value indicating whether the is read-only.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` The item to remove from the current collection.

  Removes the first occurrence of an item from the current collection.

  , if was removed from the current collection; if was not found in the current collection.

  If was found, but cannot be removed for some reason, some unspecified exception is thrown.

  Implementations of this interface can vary in how they determine equality of objects; for example, some types use the default comparer, while others allow the user to specify the comparer to be used.

  The current collection is read-only.